<?


$antidos[]=array('time'=>$time);
if (is_file(H.'sys/tmp/antidos_'.$iplong.'.dat'))
{
$antidos_dat=unserialize(file_get_contents(H.'sys/tmp/antidos_'.$iplong.'.dat'));

for ($i=0;$i<20 && $i<sizeof($antidos_dat);$i++)
{
$antidos[]=$antidos_dat[$i];
}
}

if (count($antidos)>20)
{
if ($time<$antidos[20]['time']+1)
{
mysql_query("INSERT INTO `ban_ip` (`min`, `max`, `prich`) values('$iplong', '$iplong', 'AntiDos')",$db);
}
}
include_once H.'sys/fnc/file_put_contents.php';
@file_put_contents(H.'sys/tmp/antidos_'.$iplong.'.dat', serialize($antidos));


?>